Subject: Re: Potential bug in ls-files (version 1.7.9.5)

From: Jonathan Nieder <[email-masked]>
Date: Mon, 7 Jul 2014 15:22:40 -0700

Hi Hamilton,

Hamilton Turner wrote:

> My project has this directory structure
> 
> .
> ├── aspnet
> │   ├── .gitignore
> │   ├── __init__.py
> │   ├── lib
> │   │   ├── <lots of big stuff>
> 
> My aspnet/.gitignore lists lib/*, and git add aspnet/lib/foo reports
> that this path is ignored.
> 
> But git ls-files --others --ignored --exclude-standard does not list
> the files under lib. These are untracked files, they do show up in
> output if I do git ls-files --others, but not if I provide the ignored
> flag.
> 
> With 1.8.5.2, all of the files under lib are listed if I ls-files
> --ignored --others --exclude-standard

This was probably fixed by v1.7.11.2~12^2~5 (ls-files -i: pay
attention to exclusion of leading paths, 2012-06-01).

[...]
> I'm not sure if this 1.7.X is still supported, but I think it's still
> the latest git-core available
> in Ubuntu 12.04 repositories.

I haven't had much luck in the past working with the Ubuntu
maintainers to update old releases. :(

https://launchpad.net/~git-core/+archive/ppa may help if PPAs are
usable in your environment.

Thanks and hope that helps,
Jonathan